fej/.hooks/pre-commit

18 lines
529 B
Bash
Executable File

#!/usr/bin/env bash
# This hook lints the code, and if we're on develop or master, also forces the tests to pass.
./fejctl lint &> /dev/null 2>&1 || {
>&2 echo "Format check failed, use './fejctl lint' for more information.";
exit 1;
}
# branch=`git rev-parse --abbrev-ref HEAD`
# # TODO should we add release branches here as well?
# if [[ "$branch" =~ ^master|develop$ ]]; then
# make test > /dev/null 2>&1 || {
# >&2 echo "Tests failed. check 'make test' for more info.";
# exit 1;
# }
# fi